[ovs-dev] [PATCH] doc: Add AF_PACKET limitation on userspace tso.

William Tu u9012063 at gmail.com
Mon Mar 2 19:06:21 UTC 2020


For enabling TSO on devices using AF_PACKET, minimum supported
kernel version is 4.19 due to a virtio GSO fix
9d2f67e43b73 ("net/packet: fix packet drop as of virtio gso")

Reported-by: Yi Yang <yangyi01 at inspur.com>
Reported-at: https://mail.openvswitch.org/pipermail/ovs-dev/2020-March/368281.html
Signed-off-by: William Tu <u9012063 at gmail.com>
---
 Documentation/topics/userspace-tso.rst | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/Documentation/topics/userspace-tso.rst b/Documentation/topics/userspace-tso.rst
index 0fbac93a54d7..4c2de50075d5 100644
--- a/Documentation/topics/userspace-tso.rst
+++ b/Documentation/topics/userspace-tso.rst
@@ -98,6 +98,10 @@ in Open vSwitch. Currently, if the NIC supports that, then the feature is
 enabled, otherwise TSO can still be enabled but SCTP packets sent to the NIC
 will be dropped.
 
+For enabling TSO on devices using AF_PACKET, minimum supported kernel version
+is 4.19.  This is due to a virtio GSO fix:
+9d2f67e43b73 ("net/packet: fix packet drop as of virtio gso")
+
 There is no software implementation of TSO, so all ports attached to the
 datapath must support TSO or packets using that feature will be dropped
 on ports without TSO support.  That also means guests using vhost-user
-- 
2.7.4



More information about the dev mailing list